
Core - Task # 64196

Status: Needs Feedback Priority: Should have
Author: Frans Saris Category: File Abstraction Layer (FAL)
Created: 2015-01-08 Assigned To:
Updated: 2015-07-17 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus: Remote Sprint
Subject: Make it possible to re index files from storage 0
Description

Currently all files outside of the available storages that are handled by the FAL api are indexed under pseudo storage 0. For example
images in the uploads folder but also resources found in extension folders.

Problem with this is that for images the dimensions etc are stored in db and these do not get updated if a certain file gets replaced by
another.

It should be possible to reindex these files just like other storages. With the side note that only files that are already are indexed
should be re indexed and not that the whole typo3conf folder should get indexed.

For every updated indexed all linked processed files should be removed so a new processed file is created on next hit.

Related issues:
related to Core - Bug # 66340: Processed files for storage 0 do not get updat... Closed 2015-04-09
related to Core - Bug # 50392: Specifying size in ImageViewHelper does nothing Closed 2013-07-24

History
#1 - 2015-01-29 14:01 - Philipp Gampe

We will need an own scheduler task for this.

#2 - 2015-03-18 17:25 - Tymoteusz Motylewski
- Parent task set to #65815

#3 - 2015-04-10 09:05 - Xavier Perseguers
- Parent task deleted (#65815)

#4 - 2015-06-15 17:08 - Benjamin Mack
- Target version changed from 7.1 (Cleanup) to 7.4 (Backend)

#5 - 2015-06-16 15:56 - Pierrick Caillon
- Status changed from New to In Progress
- Assigned To set to Pierrick Caillon

#6 - 2015-06-16 18:29 - Pierrick Caillon

Frans Saris wrote:

For every updated indexed all linked processed files should be removed so a new processed file is created on next hit.
I am worrying about cache in this case. If we remove the file but do not clear the cache after replacing the file and running the task, a new client will
not see the image because the page content is from cache with the no more existing file path. I don't think we should explicitly remove files from this
task as it is not done on other storages.

#7 - 2015-06-16 18:40 - Gerrit Code Review
- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40316

#8 - 2015-06-17 18:59 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40316

#9 - 2015-06-17 19:04 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40316

#10 - 2015-06-17 20:42 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40316

#11 - 2015-06-17 20:46 - Helmut Hummel
- Status changed from Under Review to Needs Feedback

Do we really, really want this?

Honestly I wished we could get rid of the fallback storage. Making indexing work again here works in a different direction

#12 - 2015-06-18 11:20 - Pierrick Caillon
- Assigned To deleted (Pierrick Caillon)

#13 - 2015-07-17 13:48 - Susanne Moog
- Sprint Focus changed from On Location Sprint to Remote Sprint
